com.manageengine.pmp

## Class PolicyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.manageengine.pmp.PMPException
      - - com.manageengine.pmp.PolicyException

- All Implemented Interfaces:
    java.io.Serializable

      public class PolicyException
      extends PMPException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyException()` Constructs a new exception with null as its detail message.
    `PolicyException(java.lang.Exception exception)` Constructs a new exception with the specified cause.
    `PolicyException(java.lang.String message)` Constructs a new exception with the specified detail message.
    `PolicyException(java.lang.String message, java.lang.Exception exception)` Constructs a new exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyException

          public PolicyException()

      Constructs a new exception with null as its detail message.

    - #### PolicyException

          public PolicyException(java.lang.Exception exception)

      Constructs a new exception with the specified cause.

    - #### PolicyException

          public PolicyException(java.lang.String message)

      Constructs a new exception with the specified detail message.

    - #### PolicyException

          public PolicyException(java.lang.String message,
                         java.lang.Exception exception)

      Constructs a new exception with the specified detail message and cause.

Copyright © 2016 AdventNet Inc. All Rights Reserved.